# getTaxInformation

## getTaxInformation

<mark style="color:green;">`POST`</mark> `https://in.bisnode.ee/rest/getTaxInformation`

**Needed Headers:** Content-type: application/json\
\
This endpoint allows you to get company tax information (quarterly) from Tax Authority such as:\
`* Paid state taxes`\
`* Paid labor taxes`\
`* Turnover`\
`* Number of employees`\
\
Example Curl request:\
`curl -X POST -k -H 'Content-type: application/json' -i 'https://in.bisnode.ee/rest/getTaxInformation' --data '{`\
&#x20;   `"token": "0c725874e737c8195de547f67692d8b976726561",`\
&#x20;   `"reg_code": "10117826",`\
&#x20;   `"country": "EST",`\
&#x20;   `"language": "en"`\
`}'`

#### Query Parameters

| Name      | Type   | Description                                                          |
| --------- | ------ | -------------------------------------------------------------------- |
| language  | string | 2-letter language code. Must be "en", "et" or "ru". Default is "en". |
| token     | string | Your 'access token' (API key).                                       |
| reg\_code | string | Company registration number.                                         |
| country   | string | 3-letter country code "EST". Default is "EST".                       |

{% tabs %}
{% tab title="200 " %}

```javascript
[
    {
        "year": "2018",
        "quarter": "4",
        "state_taxes_paid": 11111.06,
        "labor_taxes_paid": 11111.41,
        "turnover": 11111.65,
        "employees": 11
    },
    {
        "year": "2018",
        "quarter": "3",
        "state_taxes_paid": 11111.46,
        "labor_taxes_paid": 11111.72,
        "turnover": 11111.62,
        "employees": 11
    },
    {
        "year": "2018",
        "quarter": "2",
        "state_taxes_paid": 11111.01,
        "labor_taxes_paid": 11111.39,
        "turnover": 11111.63,
        "employees": 11
    },
    {
        "year": "2018",
        "quarter": "1",
        "state_taxes_paid": 11111.87,
        "labor_taxes_paid": 11111.37,
        "turnover": 11111.75,
        "employees": 11
    }
]
```

{% endtab %}

{% tab title="400 Invalid country code" %}

```javascript
{
    "error": "error",
    "code": 400,
    "message": "Only EST country supported in this request"
}
```

{% endtab %}

{% tab title="401 Invalid token" %}

```javascript
{
    "error": "error",
    "code": 401,
    "message": "Token is wrong"
}
```

{% endtab %}

{% tab title="402 Not enough credit" %}

```javascript
{
    "error": "error",
    "code": 402,
    "message": "Monthly requests limit exceeded"
}
```

{% endtab %}

{% tab title="403 " %}

```javascript
{
    "error": "error",
    "code": 403,
    "message": "This request is not allowed for you"
}
```

{% endtab %}

{% tab title="404 Could not find a company matching this query" %}

```javascript
{
    "error": "error",
    "code": 404,
    "message": "No such company"
}
```

{% endtab %}

{% tab title="409 " %}

```javascript
{
    "error": "error",
    "code": 409,
    "message": "Something went wrong"
}
```

{% endtab %}

{% tab title="422 Validation failed" %}

```javascript
{
    "error": "error",
    "code": 422,
    "message": "Schema validation error"
}
```

{% endtab %}

{% tab title="423 " %}

```javascript
{
    "error": "error",
    "code": 423,
    "message": "Locked. Wait for previous request to complete"
}
```

{% endtab %}

{% tab title="500 " %}

```javascript
{
    "error": "error",
    "code": 500,
    "message": "Internal Server Error"
}
```

{% endtab %}
{% endtabs %}
